Get a security policy by ID
curl --request GET \
--url https://api-eu.cybedefend.com/organization/{organizationId}/policies/{policyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-eu.cybedefend.com/organization/{organizationId}/policies/{policyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-eu.cybedefend.com/organization/{organizationId}/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"scope": "PROJECT",
"organizationId": "550e8400-e29b-41d4-a716-446655440001",
"name": "Production Security Policy",
"priority": 10,
"config": {
"rules": [],
"exclusions": []
},
"isEnabled": true,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"projectIds": [
"550e8400-e29b-41d4-a716-446655440002"
],
"teamIds": [
"550e8400-e29b-41d4-a716-446655440003"
],
"description": "Security policy for production environment",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Policies
Get a security policy by ID
GET
/
organization
/
{organizationId}
/
policies
/
{policyId}
Get a security policy by ID
Authorizations
JWT access token.
Response
Policy details
Policy ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Policy scope
Available options:
ORGANIZATION, TEAM, PROJECT Example:
"PROJECT"
Organization ID the policy belongs to
Example:
"550e8400-e29b-41d4-a716-446655440001"
Policy name
Example:
"Production Security Policy"
Priority (lower = higher priority)
Example:
10
Policy configuration
Example:
{ "rules": [], "exclusions": [] }
Whether the policy is enabled
Example:
true
Creation timestamp
Example:
"2024-01-15T10:30:00Z"
Last update timestamp
Example:
"2024-01-15T10:30:00Z"
Project IDs targeted by this policy (for PROJECT scope)
Example:
["550e8400-e29b-41d4-a716-446655440002"]
Team IDs targeted by this policy (for TEAM scope)
Example:
["550e8400-e29b-41d4-a716-446655440003"]
Policy description
Example:
"Security policy for production environment"
User ID who created the policy
User ID who last updated the policy